<?php
namespace Yay_Currency\Engine\Compatibles;

use Yay_Currency\Utils\SingletonTrait;
use Yay_Currency\Helpers\YayCurrencyHelper;

defined( 'ABSPATH' ) || exit;

// Link plugin: https://hivepress.io/

class HivePress {
	use SingletonTrait;

	public function __construct() {
		add_filter( 'hivepress/v1/fields/currency/display_value', array( $this, 'custom_hivepress_price' ), 10, 2 );
	}

	public function custom_hivepress_price( $price, $data ) {
		$apply_currency              = YayCurrencyHelper::detect_current_currency();
		$format                      = YayCurrencyHelper::format_currency_symbol( $apply_currency );
		$converted_number_from_price = YayCurrencyHelper::calculate_price_by_currency( $data->get_value(), false, $apply_currency );
		$formatted_number_from_price = wc_price(
			$converted_number_from_price,
			array(
				'currency'           => $apply_currency['currency'],
				'decimal_separator'  => $apply_currency['decimalSeparator'],
				'thousand_separator' => $apply_currency['thousandSeparator'],
				'decimals'           => (int) $apply_currency['numberDecimal'],
				'price_format'       => $format,
			)
		);
		return $formatted_number_from_price;
	}
}
